org.apache.any23.io.nquads

## Class NQuadsParser

- java.lang.Object
- - org.openrdf.rio.helpers.RDFParserBase
  - - org.openrdf.rio.ntriples.NTriplesParser
    - - org.openrdf.rio.nquads.NQuadsParser
      - - org.apache.any23.io.nquads.NQuadsParser

- All Implemented Interfaces:
    org.openrdf.rio.RDFParser

      public class NQuadsParser
      extends org.openrdf.rio.nquads.NQuadsParser

  N-Quads parser implementation based on the `RDFParser` interface. See the format specification here.
  Author:
    Michele Mostarda (mostarda@fbk.eu)
  See Also:
    `RDFParser`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.openrdf.rio.RDFParser

      `org.openrdf.rio.RDFParser.DatatypeHandling`

  - ### Field Summary

    - ### Fields inherited from class org.openrdf.rio.nquads.NQuadsParser

      `context`

    - ### Fields inherited from class org.openrdf.rio.ntriples.NTriplesParser

      `lineNo, object, predicate, reader, subject`

    - ### Fields inherited from class org.openrdf.rio.helpers.RDFParserBase

      `rdfHandler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NQuadsParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parse(InputStream is, String baseURI)`

    - ### Methods inherited from class org.openrdf.rio.nquads.NQuadsParser

      `getRDFFormat, parse, parseContext`

    - ### Methods inherited from class org.openrdf.rio.ntriples.NTriplesParser

      `assertLineTerminates, clear, createLiteral, createURI, getSupportedSettings, parseNodeID, parseObject, parsePredicate, parseSubject, parseUriRef, reportError, reportError, reportFatalError, reportFatalError, reportWarning, skipLine, skipWhitespace, throwEOFException`

    - ### Methods inherited from class org.openrdf.rio.helpers.RDFParserBase

      `clearBNodeIDMap, createBNode, createBNode, createLiteral, createLiteral, createStatement, createStatement, datatypeHandling, getNamespace, getParseErrorListener, getParseLocationListener, getParserConfig, getRDFHandler, preserveBNodeIDs, reportError, reportError, reportFatalError, reportFatalError, reportLocation, reportWarning, resolveURI, setBaseURI, setBaseURI, setDatatypeHandling, setNamespace, setParseErrorListener, setParseLocationListener, setParserConfig, setPreserveBNodeIDs, setRDFHandler, setStopAtFirstError, setValueFactory, setVerifyData, stopAtFirstError, verifyData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NQuadsParser

          public NQuadsParser()

  - ### Method Detail

    - #### parse

          public void parse(InputStream is,
                   String baseURI)
                     throws IOException,
                            org.openrdf.rio.RDFParseException,
                            org.openrdf.rio.RDFHandlerException

      Specified by:
        `parse` in interface `org.openrdf.rio.RDFParser`
      Overrides:
        `parse` in class `org.openrdf.rio.nquads.NQuadsParser`
      Throws:
        `IOException`
        `org.openrdf.rio.RDFParseException`
        `org.openrdf.rio.RDFHandlerException`

Copyright © 2010-2014 The Apache Software Foundation. All Rights Reserved.